Attribute VB_Name = "LEF_Custom_2014_11_20"
Option Explicit
Option Compare Text ' Non-case sensitive

'   * Copyright  2009-2014 by John P. Desautels (John@SmartBizNiz.com)
'   * Permission is granted to any individual/institution/corporate entity to use, copy, redistribute
'   * or modify this software for any purpose whatsoever, subject to one condition: namely, that this
'   * copyright block, in its entirety, not be removed from the source code.
'   *
'   * Source code, samples and documentation can be found at http://www.SmartBizNiz.com/downloads.html
'   *
'   * Special thanks to:
'   *   Ted Rau who introduced me to Launch Excel and inspired me to develop and share this framework
'   *   Guy Brown who helped me as I developed intricate YSL reports, which are the genesis of this framework
'   *   Deborah Brown, my first Yardi report writing instructor, who explained the history behind Launch Excel
'   *   Geoffrey Gelb who provided interesting projects which have allowed me to enhance the framework in support
'   *       of their requirements
'   *   All the Yardi VBA developers who have come before me, paving the way for this framework

' *****
'
' This module contains placeholders for calling custom code during the processing of the Launch Excel report.
' Generally, this custom code will be stored in a separate module to make it easier to maintain.
'
' *****

Sub Custom_Open_CopyCSV_Before(strXLS As String)
    ' Placeholder for custom code to be run before Call CopyCSV
    
End Sub

Sub Custom_Open_CopyCSV_After(strXLS As String)
    ' Placeholder for custom code to be run after Call CopyCSV
    
End Sub

Sub Custom_Open_BuildReport_Before(strXLS As String)
    ' Placeholder for custom code to be run before Call BuildReport
    
End Sub

Sub Custom_Open_BuildReport_After(strXLS As String)
    ' Placeholder for custom code to be run after Call BuildReport
    
End Sub

Sub Custom_Report_FindKeywords_Before(strXLS As String)
    ' Placeholder for custom code to be run before Call FindKeywords
    
End Sub

Sub Custom_Report_FindKeywords_After(strXLS As String)
    ' Placeholder for custom code to be run after Call FindKeywords
    
End Sub

Sub Custom_Report_DeleteOldCSV_Before(strXLS As String)
    ' Placeholder for custom code to be run before Call DeleteOldCSV
    
End Sub

Sub Custom_Report_DeleteOldCSV_After(strXLS As String)
    ' Placeholder for custom code to be run after Call DeleteOldCSV
    
End Sub

Sub Custom_Report_UniqueReports_Before(strXLS As String)
    ' Placeholder for custom code to be run before Call UniqueReports
    
End Sub

Sub Custom_Report_UniqueReports_After(strXLS As String)
    ' Placeholder for custom code to be run after Call UniqueReports
    
End Sub

Sub Custom_Report_Processing_Before(strXLS As String)
    ' Placeholder for custom code to be run before post processing of reports
    
End Sub

Sub Custom_Report_Processing_After(strXLS As String)
    ' Placeholder for custom code to be run after post processing of reports

End Sub

Sub Custom_Open_ExitProcedure_Before(strXLS As String)
    ' Placeholder for custom code to be run at the start of ExitProcedure
    
End Sub

Sub Custom_Open_ExitProcedure_After(strXLS As String)
    ' Placeholder for custom code to be run at the end of ExitProcedure
    
End Sub


